"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExclude = exports.defaultExclude = void 0;
exports.defaultExclude = /(^|[\\\/])(node_modules|\.tap|tap-testdir-.*?|tap-snapshots|tests?|[^\\\/]+\.test\.([cm]?[jt]s|[jt]sx?)|__tests?__)([\\\/]|$)/i;
const parseExclude = (src) => {
    if (!src)
        return;
    const parsed = src.match(/^\/(.*)\/([a-z]*)$/);
    if (parsed) {
        try {
            return new RegExp(parsed[1], parsed[2]);
        }
        catch (e) { }
    }
};
const getExclude = (k) => {
    const src = process.env[k];
    const exclude = parseExclude(src) || exports.defaultExclude;
    process.env[k] = String(exclude);
    return exclude;
};
exports.getExclude = getExclude;
//# sourceMappingURL=get-exclude.js.map