"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.esmMatch = exports.cjsMatch = exports.esmLoader = exports.cjsLoader = void 0;
const require_resolve_js_1 = require("./require-resolve.js");
const path_1 = require("path");
const url_1 = require("url");
exports.cjsLoader = (0, require_resolve_js_1.resolve)('../cjs/cjs.js');
const esmLoaderPath = (0, require_resolve_js_1.resolve)('../mjs/esm.mjs');
exports.esmLoader = String((0, url_1.pathToFileURL)(esmLoaderPath));
const res = (p) => /^\.?\.[\\/]/.test(p) ? (0, require_resolve_js_1.resolve)((0, path_1.resolve)(p)) : (0, require_resolve_js_1.resolve)(p);
// functions to test if a given path is the loader path
// we care about.
const cjsMatch = (p) => {
    try {
        return (p === '@tapjs/processinfo/cjs' ||
            res(p) === exports.cjsLoader);
    }
    catch {
        return false;
    }
};
exports.cjsMatch = cjsMatch;
const esmMatch = (p) => {
    const d = p.startsWith('file://')
        ? (0, url_1.fileURLToPath)(p)
        : decodeURIComponent(p);
    try {
        return d === '@tapjs/processinfo' || res(d) === esmLoaderPath;
    }
    catch {
        return false;
    }
};
exports.esmMatch = esmMatch;
//# sourceMappingURL=loader-paths.js.map