"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
// commonjs style loader hook, modifying require.extensions
const pirates_1 = require("pirates");
const get_exclude_js_1 = require("./get-exclude.js");
const get_process_info_js_1 = require("./get-process-info.js");
const kRegisterCJS = Symbol.for('@tapjs/processinfo.registerCJS');
const g = global;
const register = () => {
    if (g[kRegisterCJS])
        return;
    g[kRegisterCJS] = true;
    const exclude = (0, get_exclude_js_1.getExclude)('_TAPJS_PROCESSINFO_EXCLUDE_');
    (0, pirates_1.addHook)((code, filename) => {
        (0, get_process_info_js_1.getProcessInfo)().files.push(filename);
        return code;
    }, { exts: ['.js', '.cjs'], matcher: filename => !exclude.test(filename) });
};
exports.register = register;
//# sourceMappingURL=register-cjs.js.map